import { ConfigStreamInfo } from './ConfigStreamInfo';
import { ConfigMediaMetadata } from './ConfigMediaMetadata';
import { ConfigMediaSubtitles } from './ConfigMediaSubtitles';
import { SubtitleModel } from '../SubtitleResolver';
import { BaseModel } from './BaseModel';
import { ConfigPreloadConfig } from './ConfigPreloadConfig';
export declare class ConfigPreload extends BaseModel {
    readonly streamInfo: ConfigStreamInfo;
    readonly mediaMetadata: ConfigMediaMetadata;
    readonly subtitles: ConfigMediaSubtitles;
    readonly subtitle: SubtitleModel;
    readonly config: ConfigPreloadConfig;
}
