"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigStreamInfo_1 = require("./ConfigStreamInfo");
var ConfigMediaMetadata_1 = require("./ConfigMediaMetadata");
var ConfigMediaSubtitles_1 = require("./ConfigMediaSubtitles");
var SubtitleResolver_1 = require("../SubtitleResolver");
var BaseModel_1 = require("./BaseModel");
var ConfigPreloadConfig_1 = require("./ConfigPreloadConfig");
var ConfigPreload = /** @class */ (function (_super) {
    __extends(ConfigPreload, _super);
    function ConfigPreload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ConfigPreload.prototype, "streamInfo", {
        get: function () {
            return new ConfigStreamInfo_1.ConfigStreamInfo(this._getElement('stream_info'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "mediaMetadata", {
        get: function () {
            return new ConfigMediaMetadata_1.ConfigMediaMetadata(this._getElement('media_metadata'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "subtitles", {
        get: function () {
            return new ConfigMediaSubtitles_1.ConfigMediaSubtitles(this._getElement('subtitles'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "subtitle", {
        get: function () {
            return new SubtitleResolver_1.SubtitleModel(this._getElement('subtitle'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "config", {
        get: function () {
            return new ConfigPreloadConfig_1.ConfigPreloadConfig(this._getElement('config:Config'));
        },
        enumerable: true,
        configurable: true
    });
    return ConfigPreload;
}(BaseModel_1.BaseModel));
exports.ConfigPreload = ConfigPreload;
//# sourceMappingURL=ConfigPreload.js.map