"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MediaMetadata = /** @class */ (function () {
    function MediaMetadata(metadata) {
        this._metadata = metadata;
    }
    MediaMetadata.prototype.getSeriesTitle = function () {
        return this._metadata.seriesTitle;
    };
    MediaMetadata.prototype.getEpisodeTitle = function () {
        return this._metadata.episodeTitle;
    };
    MediaMetadata.prototype.getEpisodeNumber = function () {
        return this._metadata.episodeNumber;
    };
    MediaMetadata.prototype.getEpisodeImageUrl = function () {
        return this._metadata.episodeImageUrl;
    };
    return MediaMetadata;
}());
exports.MediaMetadata = MediaMetadata;
//# sourceMappingURL=MediaMetadata.js.map