"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var container_1 = require("./utils/container");
var MediaResolver_1 = require("./resolvers/MediaResolver");
var SubtitleResolver_1 = require("./resolvers/SubtitleResolver");
var BrowserHttpClient_1 = require("./services/http/BrowserHttpClient");
var container = new container_1.Container();
container.bind("IHttpClient", BrowserHttpClient_1.BrowserHttpClient);
container.bind("IMediaResolver", MediaResolver_1.MediaResolver);
container.bind("ISubtitleResolver", SubtitleResolver_1.SubtitleResolver);
exports.default = container;
//# sourceMappingURL=config.js.map