var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ConfigStreamInfo } from './ConfigStreamInfo';
import { ConfigMediaMetadata } from './ConfigMediaMetadata';
import { ConfigMediaSubtitles } from './ConfigMediaSubtitles';
import { SubtitleModel } from '../SubtitleResolver';
import { BaseModel } from './BaseModel';
import { ConfigPreloadConfig } from './ConfigPreloadConfig';
var ConfigPreload = /** @class */ (function (_super) {
    __extends(ConfigPreload, _super);
    function ConfigPreload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ConfigPreload.prototype, "streamInfo", {
        get: function () {
            return new ConfigStreamInfo(this._getElement('stream_info'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "mediaMetadata", {
        get: function () {
            return new ConfigMediaMetadata(this._getElement('media_metadata'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "subtitles", {
        get: function () {
            return new ConfigMediaSubtitles(this._getElement('subtitles'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "subtitle", {
        get: function () {
            return new SubtitleModel(this._getElement('subtitle'));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreload.prototype, "config", {
        get: function () {
            return new ConfigPreloadConfig(this._getElement('config:Config'));
        },
        enumerable: true,
        configurable: true
    });
    return ConfigPreload;
}(BaseModel));
export { ConfigPreload };
//# sourceMappingURL=ConfigPreload.js.map