var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { BaseModel } from "./BaseModel";
var ConfigPreloadConfig = /** @class */ (function (_super) {
    __extends(ConfigPreloadConfig, _super);
    function ConfigPreloadConfig() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ConfigPreloadConfig.prototype, "affiliateCode", {
        get: function () {
            return this._getValue("default:affiliateCode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "initialVolume", {
        get: function () {
            return parseFloat(this._getValue("default:initialVolume"));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "initialMute", {
        get: function () {
            return this._getValue("default:initialMute") === "true";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "initialSmoothing", {
        get: function () {
            return this._getValue("default:initialSmoothing") === "true";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "pingBackTimerPrecision", {
        get: function () {
            return this._getValue("default:pingBackTimerPrecision");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "pingBackTimerPeriod", {
        get: function () {
            return this._getValue("default:pingBackTimerPeriod");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigPreloadConfig.prototype, "pingBackIntervals", {
        get: function () {
            var intervals = this._getValueOrUndefined("default:pingBackIntervals");
            if (intervals) {
                return intervals
                    .split(" ")
                    .map(function (x) { return parseFloat(x); });
            }
            else {
                return [30000];
            }
        },
        enumerable: true,
        configurable: true
    });
    return ConfigPreloadConfig;
}(BaseModel));
export { ConfigPreloadConfig };
//# sourceMappingURL=ConfigPreloadConfig.js.map