var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ConfigStreamInfoMetadata } from './ConfigStreamInfoMetadata';
import { BaseModel } from './BaseModel';
var ConfigStreamInfo = /** @class */ (function (_super) {
    __extends(ConfigStreamInfo, _super);
    function ConfigStreamInfo() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ConfigStreamInfo.prototype, "mediaId", {
        get: function () {
            return this._getValue('media_id');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "mediaType", {
        get: function () {
            return parseInt(this._getValue('media_type'), 10);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "host", {
        get: function () {
            return this._getValue('host');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "file", {
        get: function () {
            return this._getValue('file');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "videoFormat", {
        get: function () {
            return this._getValue('video_format');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "videoEncodeId", {
        get: function () {
            return this._getValue('video_encode_id');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "videoEncodeQuality", {
        get: function () {
            return this._getValue('video_encode_quality');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "token", {
        get: function () {
            return this._getValue('token');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigStreamInfo.prototype, "metadata", {
        get: function () {
            return new ConfigStreamInfoMetadata(this._getElement('metadata'));
        },
        enumerable: true,
        configurable: true
    });
    return ConfigStreamInfo;
}(BaseModel));
export { ConfigStreamInfo };
//# sourceMappingURL=ConfigStreamInfo.js.map