var Stream = /** @class */ (function () {
    function Stream(stream) {
        this._stream = stream;
    }
    Stream.prototype.getType = function () {
        return this._stream.mediaType;
    };
    Stream.prototype.getFile = function () {
        return this._stream.file;
    };
    Stream.prototype.getHost = function () {
        return this._stream.host;
    };
    Stream.prototype.getDuration = function () {
        return this._stream.metadata.duration;
    };
    Stream.prototype.getWidth = function () {
        return this._stream.metadata.width;
    };
    Stream.prototype.getHeight = function () {
        return this._stream.metadata.height;
    };
    Stream.prototype.getEncodeId = function () {
        return this._stream.videoEncodeId;
    };
    return Stream;
}());
export { Stream };
//# sourceMappingURL=Stream.js.map