"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var BaseModel_1 = require("./BaseModel");
var ConfigMediaMetadata = /** @class */ (function (_super) {
    __extends(ConfigMediaMetadata, _super);
    function ConfigMediaMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ConfigMediaMetadata.prototype, "mediaId", {
        get: function () {
            return this._getValue('media_id');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "mediaType", {
        get: function () {
            return this._getValue('media_type');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "parentMediaType", {
        get: function () {
            return this._getValue('parent_media_type');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "videoFormat", {
        get: function () {
            return this._getValue('video_format');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "videoEncodeQuality", {
        get: function () {
            return this._getValue('video_encode_quality');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "seriesTitle", {
        get: function () {
            return this._getValue('series_title');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "episodeTitle", {
        get: function () {
            return this._getValue('episode_title');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "episodeNumber", {
        get: function () {
            return this._getValue('episode_number');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "episodeImageUrl", {
        get: function () {
            return this._getValue('episode_image_url');
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ConfigMediaMetadata.prototype, "countdownSeconds", {
        get: function () {
            return parseFloat(this._getValue('countdown_seconds'));
        },
        enumerable: true,
        configurable: true
    });
    return ConfigMediaMetadata;
}(BaseModel_1.BaseModel));
exports.ConfigMediaMetadata = ConfigMediaMetadata;
//# sourceMappingURL=ConfigMediaMetadata.js.map